/** 
 * Project Name:nxfd2 
 * File Name:ApiEdos.java 
 * Package Name:com.gyee.frame.util
 * Date:2016-7-25下午12:26:14 
 * Copyright (c) 2016, chenzhou1025@126.com All Rights Reserved. 
 * 
 */

package com.gyee.frame.util.golden;

import org.springframework.web.client.RestTemplate;

/**
 * ClassName:ApiEdos <br/>
 * Function: TODO ADD FUNCTION. <br/>
 * Reason: TODO ADD REASON. <br/>
 * Date: 2016-7-25 下午12:26:14 <br/>
 * 
 * @author 石林
 * @version
 * @since JDK 1.6
 * @see
 */
public class ApiGolden {

    private static RestTemplate restTemplate = null;

  
    private ApiGolden() {

    }

    public static RestTemplate getInstance() {
    	
    	

        if (restTemplate == null) {
        	
        	restTemplate = new RestTemplate();

        }

        return restTemplate;

    }

}
